package com.algomagic.atn;

import java.util.*;
import java.awt.*;
import javax.swing.*;


public class ProgressPanel 
    extends JPanel 
    implements Observer 
{
    JProgressBar _progress;

    public ProgressPanel( ) {
	super( );
	setLayout( new BorderLayout( ) );

	_progress = new JProgressBar( 0, 1 );
	_progress.setValue( 0 );
	_progress.setStringPainted( true );

	add( _progress, BorderLayout.CENTER );

	PanelHelper.setBorder( this, "Negotiation Progress" );
    }

    public void setMax( int n ) {
	_progress.setMaximum( n-1 );
    }

    public void update( Observable o, Object arg ) {
	PlayBackController pbc = (PlayBackController)o;
	_progress.setValue( pbc.getIndex( ) );
    }
}
